%define name xmms-smpeg
%define version 0.3.1
%define prefix %{_prefix}
%define release 3mdk

Name: %{name}
Summary: This plugin lets you play mpeg videos with the xmms multimedia player
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Video
Source0: ftp://ftp.xmms.org/xmms/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.bz2
URL: http://195.139.204.136/xmms/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms

%description
This plugin lets you play mpeg videos with the xmms multimedia player.

%prep
%setup -q -n smpeg-xmms-%{version}

%build
# I ran into big trouble using the %%configure script, because of libtoolize; it won't link the shared library
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
./configure --prefix=%{_prefix}
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS TODO
%{_prefix}/lib/xmms/Input/*

%changelog
* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-3mdk
- requires xmms

* Wed Sep 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-2mdk
- simple recompile

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1
- fix static x86 flags

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.5-1mdk
- first package for Linux-Mandrake

